package com.jpattern.orm;

import org.junit.runner.RunWith;
import org.junit.runners.Suite;

import com.jpattern.orm.test.AutoIdTest;
import com.jpattern.orm.test.PeopleMultipleTest;
import com.jpattern.orm.test.PeopleTest;
import com.jpattern.orm.test.WrapperTypeTableTest;
import com.jpattern.orm.test.h2.BlobClob_ByteArray_Test;
import com.jpattern.orm.test.h2.BlobClob_InputStream_Reader_Test;
import com.jpattern.orm.test.h2.BlobClob_String_Test;
import com.jpattern.orm.test.h2.People2Test;
import com.jpattern.orm.test.h2.ZooPeopleTest;
import com.jpattern.orm.test.query.PlainSqlExecutorsTest;
import com.jpattern.orm.test.query.QueryExecutionTest;
import com.jpattern.orm.test.query.forupdate.QuerySelectForUpdateExecutionTest;
import com.jpattern.orm.test.script.ScriptExecutorTest;
import com.jpattern.orm.test.session.SessionConditionalGeneratorTest;
import com.jpattern.orm.test.session.SessionSaveOrUpdateTest;
import com.jpattern.orm.test.session.SqlExecutorsTest;
import com.jpattern.orm.test.transaction.JdbcTemplatePeopleTest;
import com.jpattern.orm.test.version.VersionTest;

/**
 * 
 * @author Francesco Cina
 * 
 *         20/mag/2011
 */
@RunWith(Suite.class)
@Suite.SuiteClasses({

	AutoIdTest.class,
	BlobClob_ByteArray_Test.class,
	BlobClob_InputStream_Reader_Test.class,
	BlobClob_String_Test.class,
	JdbcTemplatePeopleTest.class,
	PeopleMultipleTest.class,
	PeopleTest.class,
	QueryExecutionTest.class,
	QuerySelectForUpdateExecutionTest.class,
	ScriptExecutorTest.class,
	SessionConditionalGeneratorTest.class,
	SessionSaveOrUpdateTest.class,
	VersionTest.class,
	WrapperTypeTableTest.class,

	//H2 specific tests
	People2Test.class,
	ZooPeopleTest.class,

	//test with Oracle SEQUENCE notation
	PlainSqlExecutorsTest.class,
	SqlExecutorsTest.class

})
public class ComplianceH2Tests {

}
